### Class

# PapersDocument Signature

#### Description

    class PapersDocument.Signature : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### pps_signature_new

No description available.

#### Instance methods

###### pps_signature_get_background_color

No description available.

###### pps_signature_get_border_color

No description available.

###### pps_signature_get_border_width

No description available.

###### pps_signature_get_destination_file

No description available.

###### pps_signature_get_font_color

No description available.

###### pps_signature_get_font_size

No description available.

###### pps_signature_get_left_font_size

No description available.

###### pps_signature_get_owner_password

No description available.

###### pps_signature_get_page

No description available.

###### pps_signature_get_password

No description available.

###### pps_signature_get_rect

No description available.

###### pps_signature_get_signature

No description available.

###### pps_signature_get_signature_left

No description available.

###### pps_signature_get_user_password

No description available.

###### pps_signature_is_valid

Checks whether signature is valid.

###### pps_signature_set_background_color

No description available.

###### pps_signature_set_border_color

No description available.

###### pps_signature_set_border_width

No description available.

###### pps_signature_set_destination_file

No description available.

###### pps_signature_set_font_color

No description available.

###### pps_signature_set_font_size

No description available.

###### pps_signature_set_left_font_size

No description available.

###### pps_signature_set_owner_password

No description available.

###### pps_signature_set_page

No description available.

###### pps_signature_set_password

No description available.

###### pps_signature_set_rect

No description available.

###### pps_signature_set_signature

No description available.

###### pps_signature_set_signature_left

No description available.

###### pps_signature_set_user_password

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PapersDocument.Signature:certificate-info

No description available.

###### PapersDocument.Signature:signature-time

No description available.

###### PapersDocument.Signature:status

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersDocumentSignatureClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.